package com.gic.haoban.manage.web.utils.statistics;

/**
 * @Author jinxin
 * @Date 2022/12/27 09:23
 * 文件上传工具类
 */
public class UploadUtils {
    /**
     * 是否是图片
     * @param fileSuffix
     * @return
     * @throws Exception
     */
    public static boolean isPicture(String fileSuffix) throws Exception{
        //pdf 隐私文件，小程序端，只能用这个
        String[] imageArray =
                {"bmp", "dib","gif", "jfif", "jpe","jpeg", "jpg", "png", "tif", "tiff", "ico", "10", "pdf"};
        for (String str : imageArray) {
            if (str.equals(fileSuffix.replace(".", ""))) {
                return true;
            }
        }
        return false;
    }

    public static boolean isOffice(String fileSuffix) throws Exception{
        String[] arr =
                {"doc", "docx","xls", "xlsx", "pptx", "ppt"};
        for (String str : arr) {
            if (str.equals(fileSuffix.replace(".", ""))) {
                return true;
            }
        }
        return false;
    }

    public static boolean isMusic(String fileSuffix) throws Exception{
        String[] arr =
                {"wma", "mpc","ogg", "wav", "mpeg", "mp3"};
        for (String str : arr) {
            if (str.equals(fileSuffix.replace(".", ""))) {
                return true;
            }
        }
        return false;
    }

    public static boolean isVedio(String fileSuffix) throws Exception{
        String[] arr =
                {"rm", "rmvb","mp4", "wmv", "asf", "asx", "3gp", "mov", "m4v", "avi", "dat", "mkv", "flv", "vob"};
        for (String str : arr) {
            if (str.equals(fileSuffix.replace(".", ""))) {
                return true;
            }
        }
        return false;
    }
}
