package com.gic.haoban.manage.web.qo.content;

import com.gic.commons.web.qo.PageQo;

/**
 * @Author MUSI
 * @Date 2022/10/28 1:38 PM
 * @Description
 * @Version
 **/
public class ContentMaterialQO extends PageQo {


    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 1 最新; 2 最热;
     */
    private Integer sortType;

    /**
     * 素材类型1图文2纯文字3纯图片4视频
     */
    private Integer materialType;

    /**
     * 素材搜索
     */
    private String search;

    /**
     * 栏目id
     */
    private Long contentColumnId;


    public Integer getSortType() {
        return sortType;
    }

    public void setSortType(Integer sortType) {
        this.sortType = sortType;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Long getContentColumnId() {
        return contentColumnId;
    }

    public void setContentColumnId(Long contentColumnId) {
        this.contentColumnId = contentColumnId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }
}
